angular.module('khlm.conf', [])
  .value('appvars', {
    url_backend: 'https://lionslink.be/khlm',
  })
  .factory('appconfig', ['appvars', function(appvars) {
    return {
      get: function() {
        return {
          url_shibproxy: appvars.url_backend + '/shibproxy',
          url_ical_parser: appvars.url_backend + '/ical',
          url_feed_parser: appvars.url_backend + '/feedparser',
          
          translations: [
            {name: 'English', key: 'en'},
            {name: 'Nederlands', key: 'nl'}
          ],
          campuses: [
            {key: 'leuven-comenius', name: 'Leuven: Comenius'},
            {key: 'leuven-gasthuisberg', name: 'Leuven: Gasthuisberg'},
            {key: 'leuven-hertogstraat', name: 'Leuven: Hertogstraat'},
            {key: 'leuven-proximus', name: 'Leuven: Proximus'},
            {key: 'leuven-socialeschool', name: 'Leuven: Sociale School'},
            {key: 'diest-clenardus', name: 'Diest: Clenardus'},
            {key: 'hasselt-hemelrijk', name: 'Hasselt: Hemelrijk'},
            {key: 'hasselt-oudeluikerbaan', name: 'Hasselt: Oude Luikerbaan'},
            {key: 'diepenbeek', name: 'Diepenbeek'},
            {key: 'genk-liza', name: 'Genk: LiZa'}
          ]
        }
      }
    }
  }])
;